com.independentsoft.exchange

## Class UserId

- java.lang.Object
- - com.independentsoft.exchange.UserId

-     public class UserId
      extends java.lang.Object

  Identifies a delegate user or a user who has folder access permissions.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserId()` Initializes a new instance of the UserId class.
    `UserId(StandardUser standardUser)` Initializes a new instance of the UserId class.
    `UserId(java.lang.String primarySmtpAddress)` Initializes a new instance of the UserId class.
    `UserId(java.lang.String primarySmtpAddress, java.lang.String displayName)` Initializes a new instance of the UserId class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDisplayName()` Gets the display name of a folder, contact, distribution list, or delegate user.
    `java.lang.String` | `getPrimarySmtpAddress()` Gets the primary Simple Mail Transfer Protocol (SMTP) address of an account to be used for delegate access.
    `java.lang.String` | `getSid()` Gets the security descriptor definition language (SDDL) form of the security identifier (SID).
    `StandardUser` | `getStandardUser()` Gets Anonymous and Default user accounts for delegate access.
    `void` | `setDisplayName(java.lang.String displayName)` Sets the display name of a folder, contact, distribution list, or delegate user.
    `void` | `setPrimarySmtpAddress(java.lang.String primarySmtpAddress)` Sets the primary Simple Mail Transfer Protocol (SMTP) address of an account to be used for delegate access.
    `void` | `setSid(java.lang.String sid)` Sets the security descriptor definition language (SDDL) form of the security identifier (SID).
    `void` | `setStandardUser(StandardUser standardUser)` Sets Anonymous and Default user accounts for delegate access.
    `java.lang.String` | `toString()` Converts the value of the current UserId object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UserId

          public UserId()

      Initializes a new instance of the UserId class.

    - #### UserId

          public UserId(java.lang.String primarySmtpAddress)

      Initializes a new instance of the UserId class.
      Parameters:
        `primarySmtpAddress` - the primary smtp address

    - #### UserId

          public UserId(java.lang.String primarySmtpAddress,
                        java.lang.String displayName)

      Initializes a new instance of the UserId class.
      Parameters:
        `primarySmtpAddress` - the primary smtp address
        `displayName` - the display name

    - #### UserId

          public UserId(StandardUser standardUser)

      Initializes a new instance of the UserId class.
      Parameters:
        `standardUser` - the standard user

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current UserId object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getSid

          public java.lang.String getSid()

      Gets the security descriptor definition language (SDDL) form of the security identifier (SID).
      Returns:
        the sid

    - #### setSid

          public void setSid(java.lang.String sid)

      Sets the security descriptor definition language (SDDL) form of the security identifier (SID).
      Parameters:
        `sid` - the new sid

    - #### getPrimarySmtpAddress

          public java.lang.String getPrimarySmtpAddress()

      Gets the primary Simple Mail Transfer Protocol (SMTP) address of an account to be used for delegate access.
      Returns:
        the primary smtp address

    - #### setPrimarySmtpAddress

          public void setPrimarySmtpAddress(java.lang.String primarySmtpAddress)

      Sets the primary Simple Mail Transfer Protocol (SMTP) address of an account to be used for delegate access.
      Parameters:
        `primarySmtpAddress` - the new primary smtp address

    - #### getDisplayName

          public java.lang.String getDisplayName()

      Gets the display name of a folder, contact, distribution list, or delegate user.
      Returns:
        the display name

    - #### setDisplayName

          public void setDisplayName(java.lang.String displayName)

      Sets the display name of a folder, contact, distribution list, or delegate user.
      Parameters:
        `displayName` - the new display name

    - #### getStandardUser

          public StandardUser getStandardUser()

      Gets Anonymous and Default user accounts for delegate access.
      Returns:
        the standard user

    - #### setStandardUser

          public void setStandardUser(StandardUser standardUser)

      Sets Anonymous and Default user accounts for delegate access.
      Parameters:
        `standardUser` - the new standard user